import requests
from bs4 import BeautifulSoup
from openpyxl import Workbook

# 读取ID
with open('output_ids.txt', 'r', encoding='utf-8') as file:
    ids = [line.strip() for line in file]

# 创建Excel工作簿和工作表
workbook = Workbook()
worksheet = workbook.active

# 遍历每个ID
for id in ids:
    url = f'https://10.20.240.31/template/show_vul_desc?id={id}'
    response = requests.get(url, verify=False)  # 关闭SSL验证
    soup = BeautifulSoup(response.content, 'html.parser')

    # 获取表格
    table = soup.find('table', class_='cmn_table plumb')
    if table is None:
        print(f"No table found for id {id}. Skipping...")
        continue

    # 遍历每一行
    for row in table.find_all('tr'):
        headers = [header.text for header in row.find_all('th')]
        data = [td.get_text(strip=True) for td in row.find_all('td')]
        # 将表头和数据添加到Excel工作表中
        worksheet.append(headers + data)

workbook.save('output.xlsx')
print(f'共保存了{len(ids)}个id的数据到output.xlsx文件中。')
